@import "mixins";
@import "variables";

.categories-page {
  @include make-main-layout("~assets/category-bg.jpg");
}

.category-header {
  @include make-grid(stretch , center);
  @include add-column(1fr auto, 0);

  h2 {
    margin: 1.4rem 0;
    line-height: 100%;
    color: $text-dark;
  }
}

.categories-content {
  @include make-grid(center , center);
  @include add-column(1fr 1fr 1fr 1fr, 3%);
}

.category-card {
  @include add-transition(box-shadow, .3s, ease-in);
  position: relative;
  margin-top: 100px;
  box-shadow: 0 0 3px #000;
  overflow: hidden;
  width: 100%;
  height: 200px;

  a {
    display: block;
    height: 100%;
    width: 100%;
  }

  img {
    width: 100%;
    height: 100%;
    display: block;
    object-fit: cover;
    @include add-transition(transform, .3s, ease-in);
  }

  .card-text {
    bottom: 20px;
    left: 20px;
    font-size: 1.4em;
    position: absolute;
    color: lighten($black, 10%);
    z-index: get-z-index(category-card-text);
  }

  &:after {
    @extend %add-after;
    z-index: get-z-index(category-card-shadow);
    bottom: 0;
    left: 0;
    right: 0;
    height: 60px;
    background: $main-gray;
    background: linear-gradient(180deg, rgba(255,255,255,0) 0%, transparentize($main-white, .50) 18%, transparentize($main-white, .50) 100%);
  }

  &:hover {
    box-shadow: 0 0 6px #000;

    img {
      transform: scale(1.2);
      transform-origin: center;
    }
  }

  &.active:after {
    height: 100%;
    top: 0;
    background: transparentize($main-white, .40);
  }
}
